# Static Site Contact Form

## Introduction

The External Contact Form Handler module provides a simple form to be used
with [Tome](https://www.drupal.org/project/tome) or other static generators to
add a
form in your static version of your website.

This **requires** PHP to run on your server, but doesn't require Drupal to
be installed.

## Requirements

- Drupal 8+ to configure and generate static site.
- **Conflicts with core contact module** because the form is created under
  `/contact`. You can fork the module and change this.
- Server hosting static site must support PHP, just for this file.
- You **must** edit the script file with your email recipient address!
- This project depends on **Tome**. There are no code dependencies, but it
  is the only Drupal Static Site generator I know of and the module doesn't
  really make sense to use without Tome. This might change in the future if
  more generators appear.

## Recommendations

Protect your form with CAPTCHA:

- https://www.drupal.org/project/captcha
- https://www.drupal.org/project/turnstile

## INSTALLATION

 1. Install the module as usual. Configuration is under
 `/admin/config/system/settings/external-form-handler`
2. Upon generating a static version of your website (eg: with Tome), copy
   **and configure**
   the [static_contact_form_action.php.example]
   (form_action_file/static_contact_form_action.php.example)
   in your static html export and transfer it to a server with PHP. You can
   copy it to the root folder, and it will land in the root of your vhost.
3. If you want to alter the location of the file make sure to edit the
   location in the module settings page.
4. **Remember to copy the file again if you re-create the static export**.

## MAINTAINERS

Current maintainers:

- Bill Seremetis (bserem) - https://www.drupal.org/u/bserem

